     <script src="https://cdn.datatables.net/1.11.0/js/jquery.dataTables.min.js"></script>
     <script src="https://cdn.datatables.net/1.11.0/js/dataTables.bootstrap5.min.js"></script>
     <script type="text/javascript">
        $(document).ready(function()
        {
          $("#datatable").DataTable({
                    
               });
        });

        $(window).on("load", function () {



        });

          function toDisplayImg(name,url){
               $('#display-img').attr('src','');
               $('#displayimageLabel').html('Foto Lokasi ' + name);
               $('#display-img').attr('src',url);
          }



        function todetail(id){
            $.get('<?php echo BASEURL; ?>data/data.php?data=lokasiDetail&id=' + id, function( data ) { 
                //$('#edit-id').val(id);
                $('#edit-kodepos').val(data.kode_lokasi);
                $('#edit-namaalat').val(data.nama_alat);
                $('#edit-namapos').val(data.nama_lokasi);
                $('#edit-tipepos').val(data.id_tipe);
                $('#edit-tahunbangun').val(data.tahun_bangun);
                $('#edit-merk').val(data.id_merk);
                $('#edit-siaga1').val(data.siaga1);
                $('#edit-siaga2').val(data.siaga2);
                $('#edit-siaga3').val(data.siaga3);
                $('#edit-siaga4').val(data.siaga4);
                $('#edit-latitude').val(data.lat);
                $('#edit-longitude').val(data.lng);
                $('#edit-alamat').val(data.lokasi_alamat);
                $('#edit-pengamat').val(data.nama_pengamat);
                $('#edit-notelp').val(data.no_hp);
                $('#edit-statuslok').val(data.status_lokasi).change();
                $('#edit-provinsi').val(data.id_provinsi).change();

                $.get('<?php echo BASEURL; ?>data/data.php?data=optionKotaByProv&id=' + data.id_provinsi, function( data2 ) { 
                    //alert(data2);
                    $('#edit-kota').html(data2).val(data.id_kota).change();
                    //$('#edit-kota').val(data.id_kota).change();
                });

                $('#text-fotolokasi').html('<?php echo BASEURL; ?>gambarpos/'+data.foto_lokasi);
                $('#text-fotolokasi').attr('href','<?php echo BASEURL; ?>gambarpos/'+data.foto_lokasi);
            },'json'); 
        } 

        function checkKota(id){
            $.get('<?php echo BASEURL; ?>data/data.php?data=optionKotaByProv&id=' + id, function( data2 ) { 
                //alert(data2);
                $('#new-kota').html(data2);
                $('#edit-kota').html(data2);
                //$('#edit-kota').val(data.id_kota).change();
            });
        }
     </script>